%post

BACKUP_DEVICE_UUID=`lsblk -no UUID,MOUNTPOINT | grep -w '/backup' | awk '{ print $1 }'`
BACKUP_DEVICE=`blkid -o device -l -t UUID=$BACKUP_DEVICE_UUID`
PARENT_DEVICE=`lvdisplay -m $BACKUP_DEVICE | grep 'Physical volume' | awk '{print $3}'`
PARENT_DEVICE_UUID=""
if [ -n "$PARENT_DEVICE" ]; then
    PARENT_DEVICE_UUID=`blkid $PARENT_DEVICE -s UUID -o value`
fi

if [ ! -z "$BACKUP_DEVICE_UUID" ] && [ -f /usr/bin/timeshift ];then
        echo "{
  \"backup_device_uuid\" : "\"$BACKUP_DEVICE_UUID\"",
  \"parent_device_uuid\" : "\"$PARENT_DEVICE_UUID\"",
  \"do_first_run\" : \"false\",
  \"btrfs_mode\" : \"false\",
  \"include_btrfs_home_for_backup\" : \"false\",
  \"include_btrfs_home_for_restore\" : \"false\",
  \"stop_cron_emails\" : \"true\",
  \"schedule_monthly\" : \"false\",
  \"schedule_weekly\" : \"false\",
  \"schedule_daily\" : \"false\",
  \"schedule_hourly\" : \"false\",
  \"schedule_boot\" : \"false\",
  \"count_monthly\" : \"2\",
  \"count_weekly\" : \"3\",
  \"count_daily\" : \"5\",
  \"count_hourly\" : \"6\",
  \"count_boot\" : \"5\",
  \"date_format\" : \"%Y-%m-%d %H:%M:%S\",
  \"exclude\" : [
    \"/root/**\",
    \"/home/**\"
  ],
  \"exclude-apps\" : [
  ]
}" > /etc/timeshift/timeshift.json
sync
timeshift --create --comments "backup_of_base_os"
fi

sync

if [ -d /backup ]; then
    umount /backup
    rm -rf /backup
fi

sed -i "/backup/d" /etc/fstab

%end
